Beta

Get Task

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/tasks/{task_id}

Gets one exact Task when its Task ID is known. Does not change the Task.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

task_id*string

Stable Task ID.

Match^tsk_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
curl -X GET 'https://example.com/v1/tasks/string' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": {    "task_id": "string",    "business_id": "string",    "room_id": "string",    "goal_id": "string",    "upload_folder_id": "string",    "title": "string",    "description": "string",    "status": "recommended",    "created_by": {      "type": "user",      "id": "string"    },    "why": "string",    "source": {      "type": "user",      "id": "string"    },    "assignee_user_id": "string",    "assignee_email": "user@example.com",    "assignee_rule": "link_opener",    "due_at": "2019-08-24T14:15:22Z",    "started_at": "2019-08-24T14:15:22Z",    "done_at": "2019-08-24T14:15:22Z",    "archived_at": "2019-08-24T14:15:22Z",    "archive_reason": "string",    "done_with": [      null    ],    "revision": 1,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "request_id": "string"}